%define major 1
%define libname %mklibname zeitgeist %{major}
%define libnamedev %mklibname zeitgeist -d


Name:           libzeitgeist
Version:        0.3.18
Release:        %mkrel 2
Summary:        Client library for applications that want to interact with the Zeitgeist daemon
Group:          Development/Libraries
License:        GPLv3
URL:            https://launchpad.net/libzeitgeist
Source0:        http://launchpad.net/%{name}/0.3/%{version}/+download/%{name}-%{version}.tar.xz
BuildRequires:  glib2-devel 
BuildRequires:	gtk-doc
Requires:       zeitgeist

%description
This project provides a client library for applications that want to interact
with the Zeitgeist daemon. The library is written in C using glib and provides
an asynchronous GObject oriented API.

%package -n %{libname}
Summary:        Client library for applications that want to interact with the Zeitgeist daemon
Group:          Development/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This project provides a client library for applications that want to interact
with the Zeitgeist daemon. The library is written in C using glib and provides
an asynchronous GObject oriented API.

%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:	zeitgeist-devel

%description -n %{libnamedev}
The %{libnamedev}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure2_5x \
--disable-static

%make



%install
%makeinstall_std 
install -d -p -m 755 %{buildroot}%{_datadir}/vala/vapi
install -D -p -m 644 bindings/zeitgeist-1.0.{vapi,deps} %{buildroot}%{_datadir}/vala/vapi
find %{buildroot} -name '*.la' -exec rm -f {} ';'

rm -rf %{buildroot}%{_defaultdocdir}/%{name}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -n %{libname}
%defattr(-,root,root,-)
%doc COPYING COPYING.GPL README
%{_libdir}/*.so.%{major}*


%files -n %{libnamedev}
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING.GPL MAINTAINERS NEWS 
%doc examples/*.vala examples/*.c
%{_datadir}/gtk-doc/html/zeitgeist-1.0/
%{_includedir}/zeitgeist-1.0/
%{_libdir}/pkgconfig/zeitgeist-1.0.pc
%{_libdir}/*.so
%{_datadir}/vala/vapi/


%changelog
* Mon Mar 11 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.3.18-2pclos2013
- fixed naming for correct lib64 packages on 64bit added major

* Wed Dec 26 2012 Ken <lxgator at gmail.com> 0.3.18-1pclos2013
- initial build

